# Retailer Aliases

Retailers can be referenced by either the full RetailerId or a Retailer Alias.

As a general rule of thumb, if you have the retailer&#x20;

The Retailer alias format is:&#x20;

For passing the retailer when creating a cart, you get the store info from the retailers API:

curl "<https://graph.whisk.com/v1/retailers?country=US&zipcode=95050>" \\

-H "Accept: application/json" \\

-H "Authorization: Token \<TOKEN>"Sample response (some data collapsed/excluded)<br>

> {   "retailers":\[      {         "id":"103ba72991985be40739d8bf3bdf2807504",          "name":"Walmart",         ...         "metadata":{            "branch":"2082"         }      },      ...   ]}

\
Then you can pass in either the retailer id: (recommended){ "retailerId": "103ba72991985be40739d8bf3bdf2807504",...}\
or the retailer-country-branch:{"retailerId": "Walmart-US-2082",...}<br>

If you have&#x20;

It is possible to use retailer alias to skip "get available retailers" phase.

The alias should be built with this rule: `[RetailerName]-[Country code]` e.g. `AmazonFresh-GB`.

If a retailer is available in only one country it is possible to use only name e.g. `Tesco`.

Note, that only retailers which do not require zipcode can be used as aliases. You can find retailers required zipcode in the table above.

##


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/master/api/retailers/retailers-aliases.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
